TrustEverythingSSLTrustManager (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class TrustEverythingSSLTrustManager

    java.lang.Object
      org.openqa.selenium.server.TrustEverythingSSLTrustManager

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

    public class TrustEverythingSSLTrustManager

extends java.lang.Object
implements javax.net.ssl.X509TrustManager

Provides a mechanism to trust all SSL certificates

Constructor Summary
`TrustEverythingSSLTrustManager()`

Method Summary
`void` | `checkClientTrusted(java.security.cert.X509Certificate[] certs, java.lang.String authType)`
`void` | `checkServerTrusted(java.security.cert.X509Certificate[] certs, java.lang.String authType)`
`java.security.cert.X509Certificate[]` | `getAcceptedIssuers()`
`static javax.net.ssl.SSLSocketFactory` | `getTrustingSSLSocketFactory()` Returns an SSLSocketFactory that will trust all SSL certificates; this is suitable for passing to HttpsURLConnection, either to its instance method setSSLSocketFactory, or to its static method setDefaultSSLSocketFactory.
`static void` | `trustAllSSLCertificates(javax.net.ssl.HttpsURLConnection connection)` Configures a single HttpsURLConnection to trust all SSL certificates.
`static void` | `trustAllSSLCertificatesUniversally()` Automatically trusts all SSL certificates in the current process; this is dangerous.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustEverythingSSLTrustManager

    public TrustEverythingSSLTrustManager()

Method Detail

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] certs,
                                   java.lang.String authType)

  Specified by:
    `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] certs,
                                   java.lang.String authType)

  Specified by:
    `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`

### getTrustingSSLSocketFactory

    public static javax.net.ssl.SSLSocketFactory getTrustingSSLSocketFactory()

  Returns an SSLSocketFactory that will trust all SSL certificates; this is suitable for passing to HttpsURLConnection, either to its instance method setSSLSocketFactory, or to its static method setDefaultSSLSocketFactory.

  Returns:
    SSLSocketFactory suitable for passing to HttpsUrlConnection
  See Also:
    `HttpsURLConnection.setSSLSocketFactory(SSLSocketFactory)`, `HttpsURLConnection.setDefaultSSLSocketFactory(SSLSocketFactory)`

### trustAllSSLCertificatesUniversally

    public static void trustAllSSLCertificatesUniversally()

  Automatically trusts all SSL certificates in the current process; this is dangerous. You should probably prefer to configure individual HttpsURLConnections with trustAllSSLCertificates

  See Also:
    `trustAllSSLCertificates(HttpsURLConnection)`

### trustAllSSLCertificates

    public static void trustAllSSLCertificates(javax.net.ssl.HttpsURLConnection connection)

  Configures a single HttpsURLConnection to trust all SSL certificates.

  Parameters:
    `connection` - an HttpsURLConnection which will be configured to trust all certs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.